<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="functionanniuedit.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.sysmanage.functionanniuedit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>字典信息</title>
     <link href="../../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <link href="../images/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../../scripts/jquery/jquery-1.8.3.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.form.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.validate.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/messages_cn.js"></script>
    <script type="text/javascript" src="../../scripts/ui/js/ligerBuild.min.js"></script>
    <script type="text/javascript" src="../../scripts/function.js"></script>
    <script src="../scripts/calendar.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/core/base.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerDialog.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerDrag.js" type="text/javascript"></script>
    <script type="text/javascript">
        function CloseThis() {
            var dialog = frameElement.dialog;
            parent.InitList(document.getElementById("hfInitList").value, "anniu");
            parent.InitCategory();
            dialog.close();
        }
        function validate() {
            var i = 0;
            if (!validatelogin_name()) {
                i++;
            }
            if (!validatelogin_code()) {
                i++;
            }

            if (i > 0) {
                return false;
            }
            return true;
        }
        function validatelogin_code() {
            if ($("#F_OptName").val() == "" || $("#F_OptName").val() == undefined) {
                document.getElementById("lbF_OptName").innerHTML = "*按钮名称不为空！";
                document.getElementById("lbF_OptName").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_OptName").innerHTML = "*";
                document.getElementById("lbF_OptName").style.color = "#414141";
                return true;
            }
        }
        function validatelogin_name() {
            if ($("#F_OptCode").val() == "" || $("#F_OptCode").val() == undefined) {
                document.getElementById("lbF_OptCode").innerHTML = "*按钮代码不为空！";
                document.getElementById("lbF_OptCode").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_OptCode").innerHTML = "*";
                document.getElementById("lbF_OptCode").style.color = "#414141";
                return true;
            }
        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="contentTab">
        <asp:HiddenField ID="hfID" runat="server" />
        <asp:HiddenField ID="hfInitList" runat="server" />
        <ul class="tab_nav">
            <li class="selected"><a onclick="tabs('#contentTab',0);" href="javascript:;">按钮信息</a></li>
        </ul>
        <div class="tab_con" style="display: block; ">
            <table class="form_table">
                <col width="100px" />
                <col />
                <col width="100px" />
                <col />
                <tbody>
                    <tr>
                        <th>
                           <span style="color:red"> 按钮代码：</span>
                        </th>
                        <td>
                        <asp:TextBox ID="F_OptCode" runat="server"  CssClass="txtInput normal"></asp:TextBox><label
                                id="lbF_OptCode" for="F_OptCode"></label></td>
                    </tr>                   
                    <tr>
                        <th>
                        <span style="color:red"> 按钮名称：</span>
                        </th>
                        <td colspan="3">
                            <asp:TextBox ID="F_OptName" runat="server" CssClass="txtInput normal" ></asp:TextBox><label
                                id="lbF_OptName" for="F_OptName"></label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                        <span> 备注：</span>
                        </th>
                        <td colspan="3">
                            <asp:TextBox ID="F_Remark" runat="server" CssClass="txtInput normal" TextMode="MultiLine"
                                Style="width: 455px; height: 60px;"></asp:TextBox>
                        </td>
                    </tr>            
                </tbody>
            </table>
        </div>
        <div class="foot_btn_box">
            <asp:Button ID="btnSubmit" runat="server" Text="保&nbsp;&nbsp;存" CssClass="btnSubmit"
                OnClientClick="return validate();"  OnClick="btnSubmit_Click" />
        </div>
    </div>
    </form>
</body>
</html>
